> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# addKycInformation

> 
The `addKycInformation` API is used to collect essential identity information from employees as part of the KYC (Know Your Customer) process for regulatory compliance and identity validation.

### What it does:

- Collects essential identity data (name, DOB, SSN, address)
- Requires all data needed for the KYC verification process

### Note:

This a **mandatory step** in the user onboarding flow. Users must complete this step before proceeding with tax information (W-4) or bank account setup.



## OpenAPI

````yaml post /userOnboarding/addKycInformation
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /userOnboarding/addKycInformation:
    post:
      tags: []
      summary: addKycInformation
      description: >-

        The `addKycInformation` API is used to collect essential identity
        information from employees as part of the KYC (Know Your Customer)
        process for regulatory compliance and identity validation.


        ### What it does:


        - Collects essential identity data (name, DOB, SSN, address)

        - Requires all data needed for the KYC verification process


        ### Note:


        This a **mandatory step** in the user onboarding flow. Users must
        complete this step before proceeding with tax information (W-4) or bank
        account setup.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: addKycInformation
                  example: addKycInformation
                kycInformation:
                  type: object
                  properties:
                    userId:
                      type: string
                      format: uuid
                    ssn:
                      type: string
                      title: Must be 9 Digits
                      example: 659-89-9874
                    dateOfBirth:
                      type: string
                      maxLength: 10
                    address1:
                      type: string
                      maxLength: 40
                    address2:
                      type: string
                      maxLength: 40
                    city:
                      type: string
                      maxLength: 40
                    state:
                      type: string
                      title: Enum
                      maxLength: 2
                      enum:
                        - TX
                        - AK
                        - ND
                        - IL
                        - MA
                        - KS
                        - AS
                        - AL
                        - UT
                        - SD
                        - MI
                        - DC
                        - GA
                        - SC
                        - TN
                        - OK
                        - CO
                        - CA
                        - ME
                        - MO
                        - WY
                        - MD
                        - VT
                        - NM
                        - CT
                        - AZ
                        - WI
                        - VA
                        - WV
                        - NJ
                        - DE
                        - NC
                        - PR
                        - IN
                        - MT
                        - NH
                        - HI
                        - IA
                        - KY
                        - WA
                        - OH
                        - FL
                        - OR
                        - MP
                        - GU
                        - MN
                        - MS
                        - PA
                        - NE
                        - RI
                        - ID
                        - LA
                        - NY
                        - NV
                        - AR
                    zipcode:
                      type: string
                      title: Must be Five or Nine Digits
                  required:
                    - userId
                    - ssn
                    - dateOfBirth
                    - address1
                    - city
                    - state
                    - zipcode
                employeeRemoteLocation:
                  type: object
                  properties:
                    address1:
                      type: string
                      maxLength: 40
                    address2:
                      type: string
                      maxLength: 40
                    city:
                      type: string
                      maxLength: 40
                    state:
                      type: string
                      title: Enum
                      maxLength: 2
                      enum:
                        - TX
                        - AK
                        - ND
                        - IL
                        - MA
                        - KS
                        - AS
                        - AL
                        - UT
                        - SD
                        - MI
                        - DC
                        - GA
                        - SC
                        - TN
                        - OK
                        - CO
                        - CA
                        - ME
                        - MO
                        - WY
                        - MD
                        - VT
                        - NM
                        - CT
                        - AZ
                        - WI
                        - VA
                        - WV
                        - NJ
                        - DE
                        - NC
                        - PR
                        - IN
                        - MT
                        - NH
                        - HI
                        - IA
                        - KY
                        - WA
                        - OH
                        - FL
                        - OR
                        - MP
                        - GU
                        - MN
                        - MS
                        - PA
                        - NE
                        - RI
                        - ID
                        - LA
                        - NY
                        - NV
                        - AR
                    zipcode:
                      type: string
                      title: Must be Five or Nine Digits
                  title: Used when work location is different
                  required:
                    - address1
                    - city
                    - state
                    - zipcode
              required:
                - method
                - kycInformation
            example:
              method: addKycInformation
              kycInformation:
                userId: 5a2390e1-0f83-46bd-ae1c-81b30fe364e1
                ssn: '789898953'
                dateOfBirth: '2000-01-01'
                address1: 777 West Convention Way
                address2: ''
                city: Anaheim
                state: CA
                zipcode: '92802'
              userRemoteLocation:
                address1: e
                address2: e
                city: e
                state: AZ
                zipcode: '50023'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  kycInformation:
                    type: object
                    properties:
                      userId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - userId
                      - status
                    x--orders:
                      - kycInformationId
                      - status
                      - message
                required:
                  - kycInformation
                x--orders:
                  - kycInformation
              example:
                kycInformation:
                  userId: 5a2390e1-0f83-46bd-ae1c-81b30fe364e1
                  status: KYC Pending
                  message: >-
                    The KYC Information for jacob king has been added
                    successfully.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: EmployeeId is mandatory and cannot be empty.
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````